# Gimp.ColorTransform.process_buffer

    @accepts(Gimp.ColorTransform, Gegl.Buffer, Gegl.Rectangle, Gegl.Buffer, Gegl.Rectangle)
    @returns(none)
    def process_buffer(self, src_buffer, src_rect, dest_buffer, dest_rect):
        # Python wrapper for gimp_color_transform_process_buffer()

This function transforms buffer into another buffer.

See Gimp.ColorTransform.new: only the pixel encoding of src_buffer's and dest_buffer's formats honored, their color spaces are ignored. The transform always takes place between the color spaces determined by self's color profiles.

Since 2.10

self

  a Gimp.ColorTransform

src_buffer

  source Gegl.Buffer

src_rect

  rectangle in src_buffer

dest_buffer

  destination Gegl.Buffer

dest_rect

  rectangle in dest_buffer